# Class OpenURIEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent
java.awt.desktop.OpenURIEvent

All Implemented Interfaces:
  `Serializable`

public final class OpenURIEvent extends AppEvent
Event sent when the app is asked to open a `URI`.

Since:
  9
See Also:
  - `OpenURIHandler.openURI(OpenURIEvent)`
  - Serialized Form

## Field Summary

### Fields declared in class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`OpenURIEvent(URI uri)`
Constructs an `OpenURIEvent`.

## Method Summary

Modifier and Type
Method
Description
`URI`
`getURI()`
Get the `URI` the app was asked to open.

### Methods declared in class EventObject

`getSource, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OpenURIEvent

public OpenURIEvent(URI uri)
Constructs an `OpenURIEvent`.

Parameters:
  `uri` - the `URI` the app was asked to open
Throws:
  `HeadlessException` - if `GraphicsEnvironment.isHeadless()` returns `true`
  `UnsupportedOperationException` - if Desktop API is not supported on the current platform
See Also:
  - `Desktop.isDesktopSupported()`
  - `GraphicsEnvironment.isHeadless()`

## Method Details

### getURI

public URI getURI()
Get the `URI` the app was asked to open.

Returns:
  the `URI`